<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.residentialdevicetype.mapper.ResidentialDeviceTypeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="residentialDeviceTypeResultMap" type="org.springblade.smartapplication.residentialdevicetype.entity.ResidentialDeviceType">
        <id column="id" property="id"/>
        <result column="residential_id" property="residentialId"/>
        <result column="device_type" property="deviceType"/>
        <result column="device_type_name" property="deviceTypeName"/>
        <result column="org_position" property="orgPosition"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectResidentialDeviceTypePage" resultMap="residentialDeviceTypeResultMap">
        select * from yc_residential_device_type where is_deleted = 0
    </select>

</mapper>
